package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.RetrievalDTO;
import com.diagbot.facade.RetrievalFacade;
import com.diagbot.vo.RetrievalVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 同义词检索检索表 前端控制器
 * </p>
 *
 * @author wangyu
 * @since 2018-11-16
 */
@RestController
@RequestMapping("/retrieval")
@Api(value = "页面检索API", tags = { "页面检索API" })
@SuppressWarnings("unchecked")
public class RetrievalController {
    @Autowired
    private RetrievalFacade retrievalFacade;

    @ApiOperation(value = "页面检索——查询[by:wangyu]",
            notes = "patientCode：患者编号，必填<br>" +
                    "hospitalCode:医院编号，必填<br>")
    @PostMapping("/getTagInfos")
    @SysLogger("getTagInfos")
    public RespDTO<List<RetrievalDTO>> getTagInfos(@Valid @RequestBody RetrievalVO retrievalVO) {
        List<RetrievalDTO> data = retrievalFacade.getTagInfos(retrievalVO);
        return RespDTO.onSuc(data);
    }
}
